OpenVDB 5.1.0

Static Public Member Functions | List of all members
Curl< MapType, DiffScheme > Struct Template Reference

Compute the curl of a vector-valued grid using differencing of various orders in the space defined by the range of the map. More...

`#include <Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static Accessor::ValueType | result (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static StencilT::ValueType | result (const MapType &map, const StencilT &stencil)

## Detailed Description

### template<typename MapType, DScheme DiffScheme>
struct openvdb::v5_1::math::Curl< MapType, DiffScheme >

Compute the curl of a vector-valued grid using differencing of various orders in the space defined by the range of the map.

## Member Function Documentation

## ◆ result() [1/2]

static Accessor::ValueType result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ result() [2/2]

static StencilT::ValueType result | ( | const MapType & | map,
|  | const StencilT & | stencil
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- Operators.h